Ruby: ext/openssl/ossl_x509req.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ossl_x509req.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros
#define | NewX509Req(klass) TypedData_Wrap_Struct((klass), &ossl_x509req_type, 0)
#define | SetX509Req(obj, req)
#define | GetX509Req(obj, req)

## Functions
X509_REQ * | GetX509ReqPtr (VALUE obj)
void | Init_ossl_x509req (void)

## Variables
VALUE | cX509Req
VALUE | eX509ReqError

## Macro Definition Documentation

## ◆ GetX509Req

#define GetX509Req | ( |  | obj,
|  |  | req
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), X509_REQ, &ossl_x509req_type, (req)); \
if (!(req)) { \
ossl_raise(rb_eRuntimeError, "Req wasn't initialized!"); \
} \
} while (0)
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:1055

Definition at line 20 of file ossl_x509req.c.

## ◆ NewX509Req

#define NewX509Req | ( |  | klass | ) | TypedData_Wrap_Struct((klass), &ossl_x509req_type, 0)

Definition at line 12 of file ossl_x509req.c.

## ◆ SetX509Req

#define SetX509Req | ( |  | obj,
|  |  | req
| ) |  |

Value:
do { \
if (!(req)) { \
ossl_raise(rb_eRuntimeError, "Req wasn't initialized!"); \
} \
RTYPEDDATA_DATA(obj) = (req); \
} while (0)

Definition at line 14 of file ossl_x509req.c.

## Function Documentation

## ◆ GetX509ReqPtr()

X509_REQ * GetX509ReqPtr | ( | VALUE | obj | ) |

Definition at line 51 of file ossl_x509req.c.

References GetX509Req.

## ◆ Init_ossl_x509req()

void Init_ossl_x509req | ( | void |  | ) |

Definition at line 409 of file ossl_x509req.c.

References cX509Req, eOSSLError, eX509ReqError, mOSSL, mX509, rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## Variable Documentation

## ◆ cX509Req

VALUE cX509Req

Definition at line 30 of file ossl_x509req.c.

Referenced by Init_ossl_x509req().

## ◆ eX509ReqError

VALUE eX509ReqError

Definition at line 31 of file ossl_x509req.c.

Referenced by Init_ossl_x509req().